package com.wechat.model.dto;

/**
 * @author jadyn.wu
 * @date: 2019-08-30 13:54
 */
public class AddressesDto {

	private Integer addId;

    private String userId;

    private String recipientName;

    private String recipientTel;

    private String recipientZip;

    private String recipientAdd;

    private String addrProvince;

    private String addrCity;

    private String addrArea;

    private String defaultFlg;
    
    private boolean defaultFlgBool;


    public Integer getAddId() {
        return addId;
    }

    public void setAddId(Integer addId) {
        this.addId = addId;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getRecipientName() {
        return recipientName;
    }

    public void setRecipientName(String recipientName) {
        this.recipientName = recipientName == null ? null : recipientName.trim();
    }

    public String getRecipientTel() {
        return recipientTel;
    }

    public void setRecipientTel(String recipientTel) {
        this.recipientTel = recipientTel == null ? null : recipientTel.trim();
    }

    public String getRecipientZip() {
        return recipientZip;
    }

    public void setRecipientZip(String recipientZip) {
        this.recipientZip = recipientZip == null ? null : recipientZip.trim();
    }

    public String getRecipientAdd() {
        return recipientAdd;
    }

    public void setRecipientAdd(String recipientAdd) {
        this.recipientAdd = recipientAdd == null ? null : recipientAdd.trim();
    }

    public String getAddrProvince() {
        return addrProvince;
    }

    public void setAddrProvince(String addrProvince) {
        this.addrProvince = addrProvince == null ? null : addrProvince.trim();
    }

    public String getAddrCity() {
        return addrCity;
    }

    public void setAddrCity(String addrCity) {
        this.addrCity = addrCity == null ? null : addrCity.trim();
    }

    public String getAddrArea() {
        return addrArea;
    }

    public void setAddrArea(String addrArea) {
        this.addrArea = addrArea == null ? null : addrArea.trim();
    }


	public boolean isDefaultFlgBool() {
		return defaultFlgBool;
	}

	public void setDefaultFlgBool(boolean defaultFlgBool) {
		this.defaultFlgBool = defaultFlgBool;
	}

	public String getDefaultFlg() {
		return defaultFlg;
	}

	public void setDefaultFlg(String defaultFlg) {
		this.defaultFlg = defaultFlg;
		if("1".equals(defaultFlg))
		{
			this.defaultFlgBool = true;
		}else {
			this.defaultFlgBool = false;
		}
	}

}